This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 814142 - Enable dynamic configuration of MessageAwareListener thread pool
Enable dynamic configuration of MessageAwareListener thread pool
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.3.0 GA
Assigned To: Kevin Conner
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 06:05 EDT by kconner
Modified: 2013-01-10 21:14 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3785 Major Closed Enable dynamic configuration of MessageAwareListener thread pool 2013-11-07 06:17:12 EST

  None (edit)
Description kconner 2012-04-19 06:05:35 EDT
Description of problem:

Feature request is to enable the ability to dynamically configure the number of threads in the MessageAwareListener thread pool and have this exposed through the service MBean.

Expected results:

It should be possible to increase and decrease the number of threads in the MessageAwareListener thread pool through the MBean exposed via the console.
Comment 1 kconner 2012-05-24 15:02:48 EDT
Functionality addressed through JBESB-3785
Comment 2 Filip Nguyen 2012-06-15 07:25:06 EDT
The functionality is working in the SOA Platform and QA verifies that.

However QA would like to address the documentation because in the current state it is hard to understand.

Suggested change to the section name: "Configuration of Thread Pool for ESB Aware JMS Listener"

Suggested changes to the section content: 
For better throughoutput it is already possible to use the "maxThreads" property for ESB Aware Listeners (see Programmers guide) to statically set the maximum number of concurrent threads for processing of the ESB messages. 
This basic setting may be insufficient when the Service is under heavy load or experiences peaks of load. Therefore it is possible to also configure more sophisticated thread pool for the ESB Aware Listener. By configuring the thread pool the user can set minimum and maximum thread count and SOA Platform will dynamically create threads based on actual load.
The configuration itself is done by using MBean (configurable from JMX-Console under the MBean of the deployed Service). The  configuration methods are: setMinimumThreadPoolCount, setMaximumThreadPoolCount. By setting the thread pool the "maxThreads" properoperty will work as an initial thread count.

Another suggested changes: The maxThreads is closely related to this "thread pool" functionality. It would be nice to make references to this "thread pool" functionality in the programmers guide (beside the maxThreads descriptions).

Note You need to log in before you can comment on or make changes to this bug.